package org.greenstone.server;

public class BaseProperty {

    public final String GSDL_HOME;
    public final String GSDL_VERSION;
    public final String AUTOSTART = "server.auto.start";
    public final String DEFAULT_SERVLET = "server.default.servlet";

    public final String WEB_PORT;

    public final String WIN_9X_OPEN_COMMAND = "command.com /c start %1";
    public final String WIN_OPEN_COMMAND = "cmd.exe /c start \"\" %1";
    public final String MAC_OPEN_COMMAND = "open %1";

    public final String BROWSER_PATH = "browser.path";

    protected BaseProperty(String gsdl_home, 
			   String gsdl_version, String web_port) 
    {
	GSDL_HOME = gsdl_home;
	GSDL_VERSION = gsdl_version;
	WEB_PORT = web_port;
    }

}
